/*
Last edited on: $LastChangedDate: 2006-01-25 13:10:57 +0000 (Wed, 25 Jan 2006) $
by $Author: colin $
Revision: $Rev: 54 $
*/
#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <math.h>
#include <sbml/SBMLTypes.h>
#include <sbml/SBMLReader.h>
#include "simulate.h"

SBMLDocument_t  *dbGetSBML(int run_status_id, long seed)     /* seed is for database stuff */
{ 
	SBMLDocument_t *doc;
	doc=readSBML("../test/LV2.xml");
  	fprintf(stderr, "seed=%lu", seed);
	return(doc);
}

int dbUpdate(int run_status_id, double time, Model_t *mod, gsl_vector *spVec)
{
    int i;
    for(i=0;i<spVec->size;i++)
	   fprintf(stderr,"Amount of species[%d] = %d \n",i,(int)gsl_vector_get(spVec,i));
	return 0;
}

int dbFinish(int run_status_id)
{
  fprintf(stderr, "run_status_id =%d \n",   run_status_id);
  fprintf(stderr,"END OF SIMULATION");
	return 0;
}









