/*
simulate.h

header for simulation code

Last edited on: $LastChangedDate: 2006-01-25 13:10:57 +0000 (Wed, 25 Jan 2006) $
by $Author: colin $
Revision: $Rev: 54 $
 */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <time.h> 
#include <gsl/gsl_vector.h>
#include <gsl/gsl_rng.h>
#include <gsl/gsl_randist.h>
#include <gsl/gsl_statistics.h>

#include <sbml/SBMLTypes.h>
#include <sbml/SBMLReader.h>
#include <sbml/SBase.h>
#include "meparse.h"
#include "dbInput.h"

/* public function prototypes */
void simulate(Model_t *m,FILE *s,gsl_rng *r,double tt,int fileref,int numSteps,char** explodedarray,int arraysize);


/* eof */


  char** explodedarray;
