/*
Last edited on: $LastChangedDate: 2006-01-25 13:10:57 +0000 (Wed, 25 Jan 2006) $
by $Author: colin $
Revision: $Rev: 54 $
*/

#include "simulate.h"

int pythonSimulate(char *sbml,double termtime, int numSteps, long seed, char *outputFile)  
{
  SBMLDocument_t *doc;
  Model_t *mod;
  gsl_rng *r;
  FILE *f2;
  
  doc=readSBMLFromString(sbml);
  r=gsl_rng_alloc(gsl_rng_mt19937);
  if (seed>0) {
    gsl_rng_set(r,seed);
  }
  
  mod=SBMLDocument_getModel(doc);

  f2 = fopen(outputFile, "w+");
  simulate(mod,f2,r,termtime,0, numSteps);
  fclose(f2);
  return 0;
}

