import sys
import os
#Add path to python path
cwd = os.getcwd()
if os.getcwd()[-3:] == 'src':
	path = cwd
else:
	path = cwd + '/../../src/'

if path not in sys.path:
	sys.path.append(path)
	print '\ngillespie2 has been added to your PYTHONPATH'
	print 'However, if you restart your machine you will lose this setting. Change as needed.\n'
import gillespie2

#Get an sbml file
xml_file = sys.argv[1]
fp = open(xml_file, 'r')
sbml = fp.read()
fp.close()

#run the simulator
max_time = 1.5
no_of_steps = 10
seed = 12345
file_output = 'tmp_python.dat'
g = gillespie2.pythonSimulate(sbml, max_time, no_of_steps, seed, file_output)
print 'The simulation has completed. Please check tmp_python.dat for output'

